# norootforbuild
%define name	vcron
%define version	2.3
%define release	%mkrel 1

Name:		%name
Version:		%version
Release:		%release
Summary:		TK-Interface for cron and at
License:		GPL v2 or later
Group:		System/Base
URL:			http://www.Linux-kheops.com/pub/vcron/
Source:		vcron-%{version}.tar.xz
Patch:		vcron-%{version}-path.patch
Patch1:		vcron-%{version}-tempfiles.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:		crontabs
Requires:		at
Requires:		tcl >= 8.0
Requires:		tk >= 8.0
Requires:		freetype2

%description
A graphical interface , very easy to use , allowing to program regular actions
(crontab) or one shot actions (at).

Vcron is a multilingual application ( GB, FR, DE, SE, ES, BR, HU and DA provided 
for the moment !)

Authors:
--------
Daniel Roche <dan@lectra.com>

%prep
%setup -q -n usr
%patch -p1
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 local/bin/vcron $RPM_BUILD_ROOT/usr/bin/vcron
mkdir -p  $RPM_BUILD_ROOT/%{_libdir}
cp -R local/lib/vcron  $RPM_BUILD_ROOT/%{_libdir}
install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
( 
  cd $RPM_BUILD_ROOT/usr/share/doc/%{name}/
  ln -sf ../../../../lib/vcron/doc/* ./
)

# menu
%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%name):\
command="%name" \
needs="x11" \
section="More Applications/Accessibility" \
title="Visual Cron" \
icon="procman.png" \
longtitle="GUI for cron and at"
EOF

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Visual Cron
Comment=%summary
Exec=%name
Icon=procman.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Accessibility;X-MandrakeLinux-MoreApplications-Accessibility;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%name
%{_libdir}/%name
/usr/lib/menu/%name
%doc %{_defaultdocdir}/%name
%{_datadir}/applications/%name.desktop

%changelog
* Sun Dec 13 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 2.3-1_archie_2011
- Initial build
